<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>laravel/laravel</title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    
    <link rel="icon" href="images/favicon.ico"/>
    <link rel="stylesheet" href="css/normalize.css">
    <link rel="stylesheet" href="css/base.css">
            <link rel="preconnect" href="https://fonts.gstatic.com">
        <link href="https://fonts.googleapis.com/css2?family=Source+Sans+Pro:wght@400;600;700&display=swap" rel="stylesheet">
        <link href="https://fonts.googleapis.com/css2?family=Source+Code+Pro:wght@400;600;700&display=swap" rel="stylesheet">
        <link rel="stylesheet" href="css/template.css">
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.12.0/css/all.min.css" integrity="sha256-ybRkN9dBjhcS2qrW1z+hfCxq+1aBdwyQM5wlQoQVt/0=" crossorigin="anonymous" />
        <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/prismjs@1.23.0/themes/prism-okaidia.css">
        <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/prismjs@1.23.0/plugins/line-numbers/prism-line-numbers.css">
        <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/prismjs@1.23.0/plugins/line-highlight/prism-line-highlight.css">
                <script src="https://cdn.jsdelivr.net/npm/fuse.js@3.4.6"></script>
        <script src="https://cdn.jsdelivr.net/npm/css-vars-ponyfill@2"></script>
        <script src="js/search.js"></script>
        <script defer src="js/searchIndex.js"></script>
    </head>
<body id="top">
    <header class="phpdocumentor-header phpdocumentor-section">
    <h1 class="phpdocumentor-title"><a href="" class="phpdocumentor-title__link">laravel/laravel</a></h1>
    <input class="phpdocumentor-header__menu-button" type="checkbox" id="menu-button" name="menu-button" />
    <label class="phpdocumentor-header__menu-icon" for="menu-button">
        <i class="fas fa-bars"></i>
    </label>
    <section data-search-form class="phpdocumentor-search">
    <label>
        <span class="visually-hidden">Search for</span>
        <svg class="phpdocumentor-search__icon" width="21" height="20" viewBox="0 0 21 20" fill="none" xmlns="http://www.w3.org/2000/svg">
            <circle cx="7.5" cy="7.5" r="6.5" stroke="currentColor" stroke-width="2"/>
            <line x1="12.4892" y1="12.2727" x2="19.1559" y2="18.9393" stroke="currentColor" stroke-width="3"/>
        </svg>
        <input type="search" class="phpdocumentor-field phpdocumentor-search__field" placeholder="Loading .." disabled />
    </label>
</section>

    <nav class="phpdocumentor-topnav">
    <ul class="phpdocumentor-topnav__menu">
        </ul>
</nav>
</header>

    <main class="phpdocumentor">
        <div class="phpdocumentor-section">
            <input class="phpdocumentor-sidebar__menu-button" type="checkbox" id="sidebar-button" name="sidebar-button" />
<label class="phpdocumentor-sidebar__menu-icon" for="sidebar-button">
    Menu
</label>
<aside class="phpdocumentor-column -four phpdocumentor-sidebar">
                    <section class="phpdocumentor-sidebar__category">
            <h2 class="phpdocumentor-sidebar__category-header">Namespaces</h2>
                                    <h4 class="phpdocumentor-sidebar__root-namespace"><a href="namespaces/app.html">App</a></h4>
    <ul class="phpdocumentor-list">
                    <li>
                <a href="namespaces/app-actions.html">Actions</a>
                
            </li>
                    <li>
                <a href="namespaces/app-console.html">Console</a>
                
            </li>
                    <li>
                <a href="namespaces/app-exceptions.html">Exceptions</a>
                
            </li>
                    <li>
                <a href="namespaces/app-facade.html">Facade</a>
                
            </li>
                    <li>
                <a href="namespaces/app-http.html">Http</a>
                
            </li>
                    <li>
                <a href="namespaces/app-mail.html">Mail</a>
                
            </li>
                    <li>
                <a href="namespaces/app-models.html">Models</a>
                
            </li>
                    <li>
                <a href="namespaces/app-providers.html">Providers</a>
                
            </li>
                    <li>
                <a href="namespaces/app-setting.html">Setting</a>
                
            </li>
                    <li>
                <a href="namespaces/app-view.html">View</a>
                
            </li>
            </ul>

                                    <h4 class="phpdocumentor-sidebar__root-namespace"><a href="namespaces/database.html">Database</a></h4>
    <ul class="phpdocumentor-list">
                    <li>
                <a href="namespaces/database-factories.html">Factories</a>
                
            </li>
                    <li>
                <a href="namespaces/database-seeders.html">Seeders</a>
                
            </li>
            </ul>

                                    <h4 class="phpdocumentor-sidebar__root-namespace"><a href="namespaces/packages.html">Packages</a></h4>
    <ul class="phpdocumentor-list">
                    <li>
                <a href="namespaces/packages-explorer.html">Explorer</a>
                
            </li>
                    <li>
                <a href="namespaces/packages-filemanager.html">FileManager</a>
                
            </li>
                    <li>
                <a href="namespaces/packages-form.html">Form</a>
                
            </li>
                    <li>
                <a href="namespaces/packages-layer.html">Layer</a>
                
            </li>
                    <li>
                <a href="namespaces/packages-metadatagis.html">MetadataGis</a>
                
            </li>
                    <li>
                <a href="namespaces/packages-pages.html">Pages</a>
                
            </li>
                    <li>
                <a href="namespaces/packages-statistic.html">Statistic</a>
                
            </li>
            </ul>

                                    <h4 class="phpdocumentor-sidebar__root-namespace"><a href="namespaces/tests.html">Tests</a></h4>
    <ul class="phpdocumentor-list">
                    <li>
                <a href="namespaces/tests-feature.html">Feature</a>
                
            </li>
                    <li>
                <a href="namespaces/tests-unit.html">Unit</a>
                
            </li>
            </ul>

                        </section>
                <section class="phpdocumentor-sidebar__category">
            <h2 class="phpdocumentor-sidebar__category-header">Packages</h2>
                                    <h4 class="phpdocumentor-sidebar__root-namespace"><a href="packages/Application.html">Application</a></h4>

                                    <h4 class="phpdocumentor-sidebar__root-namespace"><a href="packages/Geonodo.html">Geonodo</a></h4>
    <ul class="phpdocumentor-list">
                    <li>
                <a href="packages/Geonodo-Components.html">Components</a>
                
            </li>
            </ul>

                                    <h4 class="phpdocumentor-sidebar__root-namespace"><a href="packages/Packages.html">Packages</a></h4>
    <ul class="phpdocumentor-list">
                    <li>
                <a href="packages/Packages-MetadataGis.html">MetadataGis</a>
                
            </li>
            </ul>

                                    <h4 class="phpdocumentor-sidebar__root-namespace"><a href="packages/Laravel.html">Laravel</a></h4>

                        </section>
            
    <section class="phpdocumentor-sidebar__category">
        <h2 class="phpdocumentor-sidebar__category-header">Reports</h2>
                <h3 class="phpdocumentor-sidebar__root-package"><a href="reports/deprecated.html">Deprecated</a></h3>
        <h3 class="phpdocumentor-sidebar__root-package"><a href="reports/errors.html">Errors</a></h3>
        <h3 class="phpdocumentor-sidebar__root-package"><a href="reports/markers.html">Markers</a></h3>
    </section>

    <section class="phpdocumentor-sidebar__category">
        <h2 class="phpdocumentor-sidebar__category-header">Indices</h2>
        <h3 class="phpdocumentor-sidebar__root-package"><a href="indices/files.html">Files</a></h3>
    </section>
</aside>

            <div class="phpdocumentor-column -eight phpdocumentor-content">
                    <h2>Documentation</h2>

    
    <h3 id="packages">
    Packages
    <a href="#packages" class="headerlink"><i class="fas fa-link"></i></a>
</h3>

<dl class="phpdocumentor-table-of-contents">
            <dt class="phpdocumentor-table-of-contents__entry -package"><a href="packages/Application.html"><abbr title="\Application">Application</abbr></a></dt>
            <dt class="phpdocumentor-table-of-contents__entry -package"><a href="packages/Geonodo.html"><abbr title="\Geonodo">Geonodo</abbr></a></dt>
            <dt class="phpdocumentor-table-of-contents__entry -package"><a href="packages/Packages.html"><abbr title="\Packages">Packages</abbr></a></dt>
            <dt class="phpdocumentor-table-of-contents__entry -package"><a href="packages/Laravel.html"><abbr title="\Laravel">Laravel</abbr></a></dt>
    </dl>

<h3 id="namespaces">
    Namespaces
    <a href="#namespaces" class="headerlink"><i class="fas fa-link"></i></a>
</h3>

<dl class="phpdocumentor-table-of-contents">
            <dt class="phpdocumentor-table-of-contents__entry -namespace"><a href="namespaces/app.html"><abbr title="\App">App</abbr></a></dt>
            <dt class="phpdocumentor-table-of-contents__entry -namespace"><a href="namespaces/database.html"><abbr title="\Database">Database</abbr></a></dt>
            <dt class="phpdocumentor-table-of-contents__entry -namespace"><a href="namespaces/packages.html"><abbr title="\Packages">Packages</abbr></a></dt>
            <dt class="phpdocumentor-table-of-contents__entry -namespace"><a href="namespaces/tests.html"><abbr title="\Tests">Tests</abbr></a></dt>
    </dl>

<h3 id="interfaces_class_traits">
    Interfaces, Classes and Traits
    <a href="#interfaces_class_traits" class="headerlink"><i class="fas fa-link"></i></a>
</h3>

<dl class="phpdocumentor-table-of-contents">
    
            <dt class="phpdocumentor-table-of-contents__entry -class"><a href="classes/CreateUsersTable.html"><abbr title="\CreateUsersTable">CreateUsersTable</abbr></a></dt>
        <dd></dd>
            <dt class="phpdocumentor-table-of-contents__entry -class"><a href="classes/CreatePasswordResetsTable.html"><abbr title="\CreatePasswordResetsTable">CreatePasswordResetsTable</abbr></a></dt>
        <dd></dd>
            <dt class="phpdocumentor-table-of-contents__entry -class"><a href="classes/AddTwoFactorColumnsToUsersTable.html"><abbr title="\AddTwoFactorColumnsToUsersTable">AddTwoFactorColumnsToUsersTable</abbr></a></dt>
        <dd></dd>
            <dt class="phpdocumentor-table-of-contents__entry -class"><a href="classes/CreateFailedJobsTable.html"><abbr title="\CreateFailedJobsTable">CreateFailedJobsTable</abbr></a></dt>
        <dd></dd>
            <dt class="phpdocumentor-table-of-contents__entry -class"><a href="classes/CreatePersonalAccessTokensTable.html"><abbr title="\CreatePersonalAccessTokensTable">CreatePersonalAccessTokensTable</abbr></a></dt>
        <dd></dd>
            <dt class="phpdocumentor-table-of-contents__entry -class"><a href="classes/CreateExtensionUnaccent.html"><abbr title="\CreateExtensionUnaccent">CreateExtensionUnaccent</abbr></a></dt>
        <dd></dd>
            <dt class="phpdocumentor-table-of-contents__entry -class"><a href="classes/CreateSessionsTable.html"><abbr title="\CreateSessionsTable">CreateSessionsTable</abbr></a></dt>
        <dd></dd>
            <dt class="phpdocumentor-table-of-contents__entry -class"><a href="classes/CreateInstancesTable.html"><abbr title="\CreateInstancesTable">CreateInstancesTable</abbr></a></dt>
        <dd></dd>
            <dt class="phpdocumentor-table-of-contents__entry -class"><a href="classes/CreateSettingsTable.html"><abbr title="\CreateSettingsTable">CreateSettingsTable</abbr></a></dt>
        <dd></dd>
            <dt class="phpdocumentor-table-of-contents__entry -class"><a href="classes/CreateBouncerTables.html"><abbr title="\CreateBouncerTables">CreateBouncerTables</abbr></a></dt>
        <dd></dd>
            <dt class="phpdocumentor-table-of-contents__entry -class"><a href="classes/AddFieldsUsersTable.html"><abbr title="\AddFieldsUsersTable">AddFieldsUsersTable</abbr></a></dt>
        <dd></dd>
            <dt class="phpdocumentor-table-of-contents__entry -class"><a href="classes/CreateInstanceUserTable.html"><abbr title="\CreateInstanceUserTable">CreateInstanceUserTable</abbr></a></dt>
        <dd></dd>
            <dt class="phpdocumentor-table-of-contents__entry -class"><a href="classes/CreateModulesTable.html"><abbr title="\CreateModulesTable">CreateModulesTable</abbr></a></dt>
        <dd></dd>
            <dt class="phpdocumentor-table-of-contents__entry -class"><a href="classes/CreateMenuItemTable.html"><abbr title="\CreateMenuItemTable">CreateMenuItemTable</abbr></a></dt>
        <dd></dd>
            <dt class="phpdocumentor-table-of-contents__entry -class"><a href="classes/CreateInvitationTable.html"><abbr title="\CreateInvitationTable">CreateInvitationTable</abbr></a></dt>
        <dd></dd>
            <dt class="phpdocumentor-table-of-contents__entry -class"><a href="classes/CreateNotificationsTable.html"><abbr title="\CreateNotificationsTable">CreateNotificationsTable</abbr></a></dt>
        <dd></dd>
            <dt class="phpdocumentor-table-of-contents__entry -class"><a href="classes/CreateExtensionPostgis.html"><abbr title="\CreateExtensionPostgis">CreateExtensionPostgis</abbr></a></dt>
        <dd></dd>
            <dt class="phpdocumentor-table-of-contents__entry -class"><a href="classes/CreateJobsTable.html"><abbr title="\CreateJobsTable">CreateJobsTable</abbr></a></dt>
        <dd></dd>
            <dt class="phpdocumentor-table-of-contents__entry -class"><a href="classes/CreateInstanceChildrenTable.html"><abbr title="\CreateInstanceChildrenTable">CreateInstanceChildrenTable</abbr></a></dt>
        <dd></dd>
            <dt class="phpdocumentor-table-of-contents__entry -class"><a href="classes/AddModuleMenuItemExplorer.html"><abbr title="\AddModuleMenuItemExplorer">AddModuleMenuItemExplorer</abbr></a></dt>
        <dd></dd>
            <dt class="phpdocumentor-table-of-contents__entry -class"><a href="classes/CreateMapTable.html"><abbr title="\CreateMapTable">CreateMapTable</abbr></a></dt>
        <dd></dd>
            <dt class="phpdocumentor-table-of-contents__entry -class"><a href="classes/CreateExplorerLayerTable.html"><abbr title="\CreateExplorerLayerTable">CreateExplorerLayerTable</abbr></a></dt>
        <dd></dd>
            <dt class="phpdocumentor-table-of-contents__entry -class"><a href="classes/CreateExplorerElementsTocTable.html"><abbr title="\CreateExplorerElementsTocTable">CreateExplorerElementsTocTable</abbr></a></dt>
        <dd></dd>
            <dt class="phpdocumentor-table-of-contents__entry -class"><a href="classes/CreateFilemanagerFilesTable.html"><abbr title="\CreateFilemanagerFilesTable">CreateFilemanagerFilesTable</abbr></a></dt>
        <dd></dd>
            <dt class="phpdocumentor-table-of-contents__entry -class"><a href="classes/CreateTypeFormsTable.html"><abbr title="\CreateTypeFormsTable">CreateTypeFormsTable</abbr></a></dt>
        <dd></dd>
            <dt class="phpdocumentor-table-of-contents__entry -class"><a href="classes/CreateFormElementTypesTable.html"><abbr title="\CreateFormElementTypesTable">CreateFormElementTypesTable</abbr></a></dt>
        <dd></dd>
            <dt class="phpdocumentor-table-of-contents__entry -class"><a href="classes/CreateFormTable.html"><abbr title="\CreateFormTable">CreateFormTable</abbr></a></dt>
        <dd></dd>
            <dt class="phpdocumentor-table-of-contents__entry -class"><a href="classes/CreateFormElementsTable.html"><abbr title="\CreateFormElementsTable">CreateFormElementsTable</abbr></a></dt>
        <dd></dd>
            <dt class="phpdocumentor-table-of-contents__entry -class"><a href="classes/AddModuleMenuItemForm.html"><abbr title="\AddModuleMenuItemForm">AddModuleMenuItemForm</abbr></a></dt>
        <dd></dd>
            <dt class="phpdocumentor-table-of-contents__entry -class"><a href="classes/AddModuleMenuItemLayer.html"><abbr title="\AddModuleMenuItemLayer">AddModuleMenuItemLayer</abbr></a></dt>
        <dd></dd>
            <dt class="phpdocumentor-table-of-contents__entry -class"><a href="classes/CreateSpatialRefSysTable.html"><abbr title="\CreateSpatialRefSysTable">CreateSpatialRefSysTable</abbr></a></dt>
        <dd></dd>
            <dt class="phpdocumentor-table-of-contents__entry -class"><a href="classes/CreateGeometricTypesTable.html"><abbr title="\CreateGeometricTypesTable">CreateGeometricTypesTable</abbr></a></dt>
        <dd></dd>
            <dt class="phpdocumentor-table-of-contents__entry -class"><a href="classes/CreateImportTypesTable.html"><abbr title="\CreateImportTypesTable">CreateImportTypesTable</abbr></a></dt>
        <dd></dd>
            <dt class="phpdocumentor-table-of-contents__entry -class"><a href="classes/CreateLayersTable.html"><abbr title="\CreateLayersTable">CreateLayersTable</abbr></a></dt>
        <dd></dd>
            <dt class="phpdocumentor-table-of-contents__entry -class"><a href="classes/AddModuleMenuItemMetadatagis.html"><abbr title="\AddModuleMenuItemMetadatagis">AddModuleMenuItemMetadatagis</abbr></a></dt>
        <dd></dd>
            <dt class="phpdocumentor-table-of-contents__entry -class"><a href="classes/CreateMetadatagisMetadata.html"><abbr title="\CreateMetadatagisMetadata">CreateMetadatagisMetadata</abbr></a></dt>
        <dd></dd>
            <dt class="phpdocumentor-table-of-contents__entry -class"><a href="classes/CreateMetadatagisCatalogTable.html"><abbr title="\CreateMetadatagisCatalogTable">CreateMetadatagisCatalogTable</abbr></a></dt>
        <dd></dd>
            <dt class="phpdocumentor-table-of-contents__entry -class"><a href="classes/CreateMetadatagisHarvest.html"><abbr title="\CreateMetadatagisHarvest">CreateMetadatagisHarvest</abbr></a></dt>
        <dd></dd>
            <dt class="phpdocumentor-table-of-contents__entry -class"><a href="classes/AddLampv2ToMetadatagis.html"><abbr title="\AddLampv2ToMetadatagis">AddLampv2ToMetadatagis</abbr></a></dt>
        <dd></dd>
            <dt class="phpdocumentor-table-of-contents__entry -class"><a href="classes/CreatePagesTables.html"><abbr title="\CreatePagesTables">CreatePagesTables</abbr></a></dt>
        <dd></dd>
            <dt class="phpdocumentor-table-of-contents__entry -class"><a href="classes/CreateStatisticsTablesTable.html"><abbr title="\CreateStatisticsTablesTable">CreateStatisticsTablesTable</abbr></a></dt>
        <dd></dd>
            <dt class="phpdocumentor-table-of-contents__entry -class"><a href="classes/CreateTypeFormSeederTable.html"><abbr title="\CreateTypeFormSeederTable">CreateTypeFormSeederTable</abbr></a></dt>
        <dd></dd>
    
    </dl>


<h3 id="toc">
    Table of Contents
    <a href="#toc" class="headerlink"><i class="fas fa-link"></i></a>
</h3>

<dl class="phpdocumentor-table-of-contents">
            <dt class="phpdocumentor-table-of-contents__entry -constant -public">
    <a href="namespaces/default.html#constant_LARAVEL_START">LARAVEL_START</a>
    <span>
        &nbsp;= microtime(	rue)                    </span>
</dt>
<dd></dd>

                        <dt class="phpdocumentor-table-of-contents__entry -function -">
    <a href="namespaces/default.html#function_setting">setting()</a>
    <span>
                        &nbsp;: mixed    </span>
</dt>
<dd></dd>

            <dt class="phpdocumentor-table-of-contents__entry -function -">
    <a href="namespaces/default.html#function_deleteSpecialCharacter">deleteSpecialCharacter()</a>
    <span>
                        &nbsp;: string    </span>
</dt>
<dd>Remove special characters and transform to lowercase</dd>

            <dt class="phpdocumentor-table-of-contents__entry -function -">
    <a href="namespaces/default.html#function_remove_accents">remove_accents()</a>
    <span>
                        &nbsp;: string    </span>
</dt>
<dd>Transforms characters with accents to characters without accents</dd>

            <dt class="phpdocumentor-table-of-contents__entry -function -">
    <a href="namespaces/default.html#function_toHtmlInputType">toHtmlInputType()</a>
    <span>
                        &nbsp;: string    </span>
</dt>
<dd></dd>

            <dt class="phpdocumentor-table-of-contents__entry -function -">
    <a href="namespaces/default.html#function_exportToExcel">exportToExcel()</a>
    <span>
                        &nbsp;: mixed    </span>
</dt>
<dd></dd>

            <dt class="phpdocumentor-table-of-contents__entry -function -">
    <a href="namespaces/default.html#function_exportFile">exportFile()</a>
    <span>
                        &nbsp;: mixed    </span>
</dt>
<dd></dd>

            <dt class="phpdocumentor-table-of-contents__entry -function -">
    <a href="namespaces/default.html#function_parseArrayText">parseArrayText()</a>
    <span>
                        &nbsp;: mixed    </span>
</dt>
<dd></dd>

            <dt class="phpdocumentor-table-of-contents__entry -function -">
    <a href="namespaces/default.html#function_formatBytes">formatBytes()</a>
    <span>
                        &nbsp;: mixed    </span>
</dt>
<dd></dd>

    </dl>

    
    <section class="phpdocumentor-constants">
        <h3 class="phpdocumentor-elements__header" id="constants">
            Constants
            <a href="namespaces/default.html#constants" class="headerlink"><i class="fas fa-link"></i></a>
        </h3>
                    <article class="phpdocumentor-element -constant -public ">
    <h4 class="phpdocumentor-element__name" id="constant_LARAVEL_START">
        LARAVEL_START
        <a href="namespaces/default.html#constant_LARAVEL_START" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>

    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="public/index.php"><a href="files/public-index.html"><abbr title="public/index.php">index.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">6</span>

    </aside>

    
    <code class="phpdocumentor-signature phpdocumentor-code ">
    <span class="phpdocumentor-signature__visibility">public</span>
    <span class="phpdocumentor-signature__type">mixed</span>
    <span class="phpdocumentor-signature__name">LARAVEL_START</span>
    = <span class="phpdocumentor-signature__default-value">microtime(	rue)</span>
</code>


        <section class="phpdocumentor-description"></section>

        <section class="phpdocumentor-description"></section>

    

</article>
            </section>

        <section class="phpdocumentor-functions">
        <h3 class="phpdocumentor-elements__header" id="functions">
            Functions
            <a href="namespaces/default.html#functions" class="headerlink"><i class="fas fa-link"></i></a>
        </h3>
                    <article class="phpdocumentor-element -function - ">
    <h4 class="phpdocumentor-element__name" id="function_setting">
        setting()
        <a href="namespaces/default.html#function_setting" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="app/Utils/helpers.php"><a href="files/app-utils-helpers.html"><abbr title="app/Utils/helpers.php">helpers.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">11</span>

    </aside>

    
    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility"></span>
                <span class="phpdocumentor-signature__name">setting</span><span>(</span><span class="phpdocumentor-signature__argument"><span class="phpdocumentor-signature__argument__return-type">mixed&nbsp;</span><span class="phpdocumentor-signature__argument__name">$key</span></span><span class="phpdocumentor-signature__argument"><span>[</span><span>, </span><span class="phpdocumentor-signature__argument__return-type">mixed&nbsp;</span><span class="phpdocumentor-signature__argument__name">$default</span><span> = </span><span class="phpdocumentor-signature__argument__default-value">null</span><span> ]</span></span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type">mixed</span></code>

        <section class="phpdocumentor-description"></section>

        <h5 class="phpdocumentor-argument-list__heading">Parameters</h5>
    <dl class="phpdocumentor-argument-list">
                    <dt class="phpdocumentor-argument-list__entry">
                <span class="phpdocumentor-signature__argument__name">$key</span>
                : <span class="phpdocumentor-signature__argument__return-type">mixed</span>
                            </dt>
            <dd class="phpdocumentor-argument-list__definition">
                    <section class="phpdocumentor-description"></section>

            </dd>
                    <dt class="phpdocumentor-argument-list__entry">
                <span class="phpdocumentor-signature__argument__name">$default</span>
                : <span class="phpdocumentor-signature__argument__return-type">mixed</span>
                 = <span class="phpdocumentor-signature__argument__default-value">null</span>            </dt>
            <dd class="phpdocumentor-argument-list__definition">
                    <section class="phpdocumentor-description"></section>

            </dd>
            </dl>

    

        <h5 class="phpdocumentor-return-value__heading">Return values</h5>
    <span class="phpdocumentor-signature__response_type">mixed</span>
            &mdash;
        
    
</article>
                    <article class="phpdocumentor-element -function - ">
    <h4 class="phpdocumentor-element__name" id="function_deleteSpecialCharacter">
        deleteSpecialCharacter()
        <a href="namespaces/default.html#function_deleteSpecialCharacter" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="app/Utils/helpers.php"><a href="files/app-utils-helpers.html"><abbr title="app/Utils/helpers.php">helpers.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">32</span>

    </aside>

        <p class="phpdocumentor-summary">Remove special characters and transform to lowercase</p>

    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility"></span>
                <span class="phpdocumentor-signature__name">deleteSpecialCharacter</span><span>(</span><span class="phpdocumentor-signature__argument"><span class="phpdocumentor-signature__argument__return-type"><a href=""><abbr title=""></abbr></a>&nbsp;</span><span class="phpdocumentor-signature__argument__name">$string</span></span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type">string</span></code>

    
        <h5 class="phpdocumentor-argument-list__heading">Parameters</h5>
    <dl class="phpdocumentor-argument-list">
                    <dt class="phpdocumentor-argument-list__entry">
                <span class="phpdocumentor-signature__argument__name">$string</span>
                : <span class="phpdocumentor-signature__argument__return-type"><a href=""><abbr title=""></abbr></a></span>
                            </dt>
            <dd class="phpdocumentor-argument-list__definition">
                
            </dd>
            </dl>

    

        <h5 class="phpdocumentor-return-value__heading">Return values</h5>
    <span class="phpdocumentor-signature__response_type">string</span>
            &mdash;
        
    
</article>
                    <article class="phpdocumentor-element -function - ">
    <h4 class="phpdocumentor-element__name" id="function_remove_accents">
        remove_accents()
        <a href="namespaces/default.html#function_remove_accents" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="app/Utils/helpers.php"><a href="files/app-utils-helpers.html"><abbr title="app/Utils/helpers.php">helpers.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">44</span>

    </aside>

        <p class="phpdocumentor-summary">Transforms characters with accents to characters without accents</p>

    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility"></span>
                <span class="phpdocumentor-signature__name">remove_accents</span><span>(</span><span class="phpdocumentor-signature__argument"><span class="phpdocumentor-signature__argument__return-type"><a href=""><abbr title=""></abbr></a>&nbsp;</span><span class="phpdocumentor-signature__argument__name">$string</span></span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type">string</span></code>

    
        <h5 class="phpdocumentor-argument-list__heading">Parameters</h5>
    <dl class="phpdocumentor-argument-list">
                    <dt class="phpdocumentor-argument-list__entry">
                <span class="phpdocumentor-signature__argument__name">$string</span>
                : <span class="phpdocumentor-signature__argument__return-type"><a href=""><abbr title=""></abbr></a></span>
                            </dt>
            <dd class="phpdocumentor-argument-list__definition">
                
            </dd>
            </dl>

    

        <h5 class="phpdocumentor-return-value__heading">Return values</h5>
    <span class="phpdocumentor-signature__response_type">string</span>
            &mdash;
        
    
</article>
                    <article class="phpdocumentor-element -function - ">
    <h4 class="phpdocumentor-element__name" id="function_toHtmlInputType">
        toHtmlInputType()
        <a href="namespaces/default.html#function_toHtmlInputType" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="app/Utils/helpers.php"><a href="files/app-utils-helpers.html"><abbr title="app/Utils/helpers.php">helpers.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">155</span>

    </aside>

    
    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility"></span>
                <span class="phpdocumentor-signature__name">toHtmlInputType</span><span>(</span><span class="phpdocumentor-signature__argument"><span class="phpdocumentor-signature__argument__return-type"><a href=""><abbr title=""></abbr></a>&nbsp;</span><span class="phpdocumentor-signature__argument__name">$type</span></span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type">string</span></code>

    
        <h5 class="phpdocumentor-argument-list__heading">Parameters</h5>
    <dl class="phpdocumentor-argument-list">
                    <dt class="phpdocumentor-argument-list__entry">
                <span class="phpdocumentor-signature__argument__name">$type</span>
                : <span class="phpdocumentor-signature__argument__return-type"><a href=""><abbr title=""></abbr></a></span>
                            </dt>
            <dd class="phpdocumentor-argument-list__definition">
                
            </dd>
            </dl>

    

        <h5 class="phpdocumentor-return-value__heading">Return values</h5>
    <span class="phpdocumentor-signature__response_type">string</span>
            &mdash;
        
    
</article>
                    <article class="phpdocumentor-element -function - ">
    <h4 class="phpdocumentor-element__name" id="function_exportToExcel">
        exportToExcel()
        <a href="namespaces/default.html#function_exportToExcel" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="app/Utils/helpers.php"><a href="files/app-utils-helpers.html"><abbr title="app/Utils/helpers.php">helpers.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">180</span>

    </aside>

    
    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility"></span>
                <span class="phpdocumentor-signature__name">exportToExcel</span><span>(</span><span class="phpdocumentor-signature__argument"><span class="phpdocumentor-signature__argument__return-type">mixed&nbsp;</span><span class="phpdocumentor-signature__argument__name">$name</span></span><span class="phpdocumentor-signature__argument"><span>, </span><span class="phpdocumentor-signature__argument__return-type">mixed&nbsp;</span><span class="phpdocumentor-signature__argument__name">$nameTable</span></span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type">mixed</span></code>

        <section class="phpdocumentor-description"></section>

        <h5 class="phpdocumentor-argument-list__heading">Parameters</h5>
    <dl class="phpdocumentor-argument-list">
                    <dt class="phpdocumentor-argument-list__entry">
                <span class="phpdocumentor-signature__argument__name">$name</span>
                : <span class="phpdocumentor-signature__argument__return-type">mixed</span>
                            </dt>
            <dd class="phpdocumentor-argument-list__definition">
                    <section class="phpdocumentor-description"></section>

            </dd>
                    <dt class="phpdocumentor-argument-list__entry">
                <span class="phpdocumentor-signature__argument__name">$nameTable</span>
                : <span class="phpdocumentor-signature__argument__return-type">mixed</span>
                            </dt>
            <dd class="phpdocumentor-argument-list__definition">
                    <section class="phpdocumentor-description"></section>

            </dd>
            </dl>

    

        <h5 class="phpdocumentor-return-value__heading">Return values</h5>
    <span class="phpdocumentor-signature__response_type">mixed</span>
            &mdash;
        
    
</article>
                    <article class="phpdocumentor-element -function - ">
    <h4 class="phpdocumentor-element__name" id="function_exportFile">
        exportFile()
        <a href="namespaces/default.html#function_exportFile" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="app/Utils/helpers.php"><a href="files/app-utils-helpers.html"><abbr title="app/Utils/helpers.php">helpers.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">200</span>

    </aside>

    
    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility"></span>
                <span class="phpdocumentor-signature__name">exportFile</span><span>(</span><span class="phpdocumentor-signature__argument"><span class="phpdocumentor-signature__argument__return-type">mixed&nbsp;</span><span class="phpdocumentor-signature__argument__name">$filename</span></span><span class="phpdocumentor-signature__argument"><span>, </span><span class="phpdocumentor-signature__argument__return-type">mixed&nbsp;</span><span class="phpdocumentor-signature__argument__name">$records</span></span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type">mixed</span></code>

        <section class="phpdocumentor-description"></section>

        <h5 class="phpdocumentor-argument-list__heading">Parameters</h5>
    <dl class="phpdocumentor-argument-list">
                    <dt class="phpdocumentor-argument-list__entry">
                <span class="phpdocumentor-signature__argument__name">$filename</span>
                : <span class="phpdocumentor-signature__argument__return-type">mixed</span>
                            </dt>
            <dd class="phpdocumentor-argument-list__definition">
                    <section class="phpdocumentor-description"></section>

            </dd>
                    <dt class="phpdocumentor-argument-list__entry">
                <span class="phpdocumentor-signature__argument__name">$records</span>
                : <span class="phpdocumentor-signature__argument__return-type">mixed</span>
                            </dt>
            <dd class="phpdocumentor-argument-list__definition">
                    <section class="phpdocumentor-description"></section>

            </dd>
            </dl>

    

        <h5 class="phpdocumentor-return-value__heading">Return values</h5>
    <span class="phpdocumentor-signature__response_type">mixed</span>
            &mdash;
        
    
</article>
                    <article class="phpdocumentor-element -function - ">
    <h4 class="phpdocumentor-element__name" id="function_parseArrayText">
        parseArrayText()
        <a href="namespaces/default.html#function_parseArrayText" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="app/Utils/helpers.php"><a href="files/app-utils-helpers.html"><abbr title="app/Utils/helpers.php">helpers.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">225</span>

    </aside>

    
    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility"></span>
                <span class="phpdocumentor-signature__name">parseArrayText</span><span>(</span><span class="phpdocumentor-signature__argument"><span class="phpdocumentor-signature__argument__return-type"><a href=""><abbr title=""></abbr></a>&nbsp;</span><span class="phpdocumentor-signature__argument__name">$array</span></span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type">mixed</span></code>

    
        <h5 class="phpdocumentor-argument-list__heading">Parameters</h5>
    <dl class="phpdocumentor-argument-list">
                    <dt class="phpdocumentor-argument-list__entry">
                <span class="phpdocumentor-signature__argument__name">$array</span>
                : <span class="phpdocumentor-signature__argument__return-type"><a href=""><abbr title=""></abbr></a></span>
                            </dt>
            <dd class="phpdocumentor-argument-list__definition">
                
            </dd>
            </dl>

    

        <h5 class="phpdocumentor-return-value__heading">Return values</h5>
    <span class="phpdocumentor-signature__response_type">mixed</span>
            &mdash;
        
    
</article>
                    <article class="phpdocumentor-element -function - ">
    <h4 class="phpdocumentor-element__name" id="function_formatBytes">
        formatBytes()
        <a href="namespaces/default.html#function_formatBytes" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="app/Utils/helpers.php"><a href="files/app-utils-helpers.html"><abbr title="app/Utils/helpers.php">helpers.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">236</span>

    </aside>

    
    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility"></span>
                <span class="phpdocumentor-signature__name">formatBytes</span><span>(</span><span class="phpdocumentor-signature__argument"><span class="phpdocumentor-signature__argument__return-type">mixed&nbsp;</span><span class="phpdocumentor-signature__argument__name">$bytes</span></span><span class="phpdocumentor-signature__argument"><span>[</span><span>, </span><span class="phpdocumentor-signature__argument__return-type">mixed&nbsp;</span><span class="phpdocumentor-signature__argument__name">$precision</span><span> = </span><span class="phpdocumentor-signature__argument__default-value">2</span><span> ]</span></span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type">mixed</span></code>

        <section class="phpdocumentor-description"></section>

        <h5 class="phpdocumentor-argument-list__heading">Parameters</h5>
    <dl class="phpdocumentor-argument-list">
                    <dt class="phpdocumentor-argument-list__entry">
                <span class="phpdocumentor-signature__argument__name">$bytes</span>
                : <span class="phpdocumentor-signature__argument__return-type">mixed</span>
                            </dt>
            <dd class="phpdocumentor-argument-list__definition">
                    <section class="phpdocumentor-description"></section>

            </dd>
                    <dt class="phpdocumentor-argument-list__entry">
                <span class="phpdocumentor-signature__argument__name">$precision</span>
                : <span class="phpdocumentor-signature__argument__return-type">mixed</span>
                 = <span class="phpdocumentor-signature__argument__default-value">2</span>            </dt>
            <dd class="phpdocumentor-argument-list__definition">
                    <section class="phpdocumentor-description"></section>

            </dd>
            </dl>

    

        <h5 class="phpdocumentor-return-value__heading">Return values</h5>
    <span class="phpdocumentor-signature__response_type">mixed</span>
            &mdash;
        
    
</article>
            </section>

                <section data-search-results class="phpdocumentor-search-results phpdocumentor-search-results--hidden">
    <section class="phpdocumentor-search-results__dialog">
        <header class="phpdocumentor-search-results__header">
            <h2 class="phpdocumentor-search-results__title">Search results</h2>
            <button class="phpdocumentor-search-results__close"><i class="fas fa-times"></i></button>
        </header>
        <section class="phpdocumentor-search-results__body">
            <ul class="phpdocumentor-search-results__entries"></ul>
        </section>
    </section>
</section>
            </div>
        </div>
        <a href="index.html#top" class="phpdocumentor-back-to-top"><i class="fas fa-chevron-circle-up"></i></a>

    </main>

    <script>
        cssVars({});
    </script>
    <script src="https://cdn.jsdelivr.net/npm/prismjs@1.23.0/prism.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/prismjs@1.23.0/plugins/autoloader/prism-autoloader.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/prismjs@1.23.0/plugins/line-numbers/prism-line-numbers.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/prismjs@1.23.0/plugins/line-highlight/prism-line-highlight.min.js"></script>
</body>
</html>
